Skip to main content
POST
Creates a new merchant for platform/marketplace calculations. Merchants represent sellers on your platform.

Headers

string
required
Bearer token authentication. Example: Bearer sk_test_xxx
string
required
Must be 2026-03-01 for merchant endpoints.

Request Body

string
Your external ID for this merchant. Must be unique per client and testmode. You can use this ID to look up merchants later.
string
The merchant’s business name.
string
The merchant’s email address.
object
The merchant’s default business address. Used as the origin address in platform calculations if not overridden.
array
Array of tax identification numbers for this merchant.
object
Arbitrary key-value pairs for storing additional information (max 50 keys).

Response

string
The internal merchant ID (e.g., merch_1765503753979c37c5f24).
string
Always tax.merchant.
string
Your external ID for this merchant.
string
The merchant’s business name.
string
The merchant’s email address.
object
The merchant’s default business address.
array
Array of tax IDs.
string
Either active or deleted.
boolean
Whether this merchant was created in test mode.
number
Unix timestamp of creation.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Version
enum<string>
required

API version. Must be 2026-01-01 for merchant endpoints.

Available options:
2026-01-01

Body

application/json

Request body for creating a merchant

reference_merchant_id
string

Your external ID for this merchant. Must be unique per client+testmode.

Example:

"my-seller-123"

name
string

The merchant's business name

Example:

"Acme Seller Co"

email
string

The merchant's email address

Example:

"seller@example.com"

default_address
object

Merchant's default business address. Uses address_ prefix for field names.

tax_ids
object[]

Tax identification numbers for this merchant

metadata
object

You can store arbitrary keys and values in the metadata. At most 50 keys; each key at most 255 characters; each value must be a string of at most 255 characters (non-string values are rejected).

Response

Merchant created successfully

id
string

The internal merchant ID

Example:

"merch_1765503753979c37c5f24"

object
string
Example:

"tax.merchant"

reference_merchant_id
string

Your external ID for this merchant

Example:

"my-seller-123"

name
string
Example:

"Acme Seller Co"

email
string
Example:

"seller@example.com"

default_address
object

Merchant's default business address. Uses address_ prefix for field names.

tax_ids
object[]
status
enum<string>
Available options:
active,
deleted
Example:

"active"

testmode
boolean

Whether this merchant was created in test mode

created_at
number

Unix timestamp of creation

updated_at
number

Unix timestamp of last update

metadata
object

You can store arbitrary keys and values in the metadata. At most 50 keys; each key at most 255 characters; each value must be a string of at most 255 characters (non-string values are rejected).